Subject: Re: [PATCH 05/13] object-file: introduce `struct odb_loose_source`

From: Junio C Hamano <[email-masked]>
Date: Fri, 31 Oct 2025 09:10:29 -0700

Patrick Steinhardt <[email-masked]> writes:

>> I wonder if the naming should instead be `struct obd_source_loose` that
>> way other backends (if added) would be something like:
>> 
>>     struct obd_source_loose
>>     struct obd_source_postgres
>>     struct obd_source_mongo
>> 
>> This is easier to read and also for autocompletion it leads nicely into
>> the 'obd_source_...' namespace.
>
> Hm, I see your point. I think that "loose source" flows a bit more
> natural, but I agree that the above is more accessible in code.
>
> Before I change this: does anybody else have an opinion here?

I have a slight preference for what Karthik suggested.  To me,
"There are three variants of odb-source, which are odb-source-A,
odb-source-B and odb-source-C" flows more naturally than
"odb-A-source, odb-B-source, ..."